// chapitre 4 const cast.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"
#include <iostream>

class CCTest 
{
public:
   void setNombre( int );
   void afficheNombre() const;
private:
   int nombre;
};

void CCTest::setNombre(int num)
{ 
	nombre = num; 
}

void CCTest::afficheNombre() const 
{
   printf("Avant: %d",nombre);
   const_cast< CCTest * >( this )->nombre--;
   printf("Après %d",nombre);
}

int main() 
{
   CCTest X;
   X.setNombre( 8 );
   X.afficheNombre();
}
